<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card <#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :dis-hover="true" :bordered="false">

<#if view.hasPSControl('toolbar')>
  <#assign selfToolbarRender>
  <template v-if="drItem && drItem.id === 'form'">
      ${P.getCtrlCode('toolbar', 'CONTROL.html').code}
  </template>
  </#assign>
</#if>
    <#ibizinclude>
    ./VIEW_CAPTION_DATAINFO.vue.ftl
    </#ibizinclude>
<#--  BEGIN：视图顶部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
./View_Pos_Top_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图顶部视图消息  -->
        <div class="content-container">
        <#--  BEGIN：视图内容区视图消息  -->
            <@ibizindent blank=8>
            <#ibizinclude>
            ./View_Pos_Body_Msgs.vue.ftl
            </#ibizinclude>
            </@ibizindent>
            <#--  END：视图内容区视图消息  -->
            <div class="edit-view3">
                <div class="edit-view3-drheader">
                    <span :class="{ 'dr-tab-item': true, 'is-active': drItem && drItem.id === 'form' }" @click="handleDrTabChange"><#if view.getPSControl('drtab').getEditItemCaption?? && view.getPSControl('drtab').getEditItemCaption()??>${view.getPSControl('drtab').getEditItemCaption()}</#if></span>
                    <#if view.hasPSControl('drtab')>
                        <@ibizindent blank=8>
                            ${P.getCtrlCode('drtab', 'CONTROL.html').code}
                        </@ibizindent>
                    </#if>
                </div>
                <div class="edit-view3-content">
                    <div class="edit-view3-content__form" :style="drItem && drItem.id !== 'form' ? 'display: none;' : ''">
                        <#if view.hasPSControl('form')>
                            <@ibizindent blank=8>
                                ${P.getCtrlCode('form', 'CONTROL.html').code}
                            </@ibizindent>
                        </#if>
                    </div>
                    <component
                        class="view-container2"
                        v-if="drItem && drItem.id && drItem.id !== 'form' && drItem.navView"
                        :is="drItem.navView"
                        :viewDefaultUsage="false"
                        :viewdata="JSON.stringify(drItem.srfnavdata.context)"
                        :viewparam="JSON.stringify(drItem.srfnavdata.viewparams)">
                    </component>
                </div>
            </div>
        </div>
<#--  BEGIN：视图底部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
./View_Pos_Bottom_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图底部视图消息  -->
    </card>
</div>
